# Class EmphasisMark

#### Hierarchy

- BaseEmphasisMark
  - EmphasisMark

- Defined in file/paragraph/run/emphasis-mark.ts:18

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new EmphasisMark(emphasisMarkType?): EmphasisMark

- #### Parameters

  - ##### emphasisMarkType: "dot" = EmphasisMarkType.DOT

  #### Returns EmphasisMark

  Overrides BaseEmphasisMark.constructor

  - Defined in file/paragraph/run/emphasis-mark.ts:19

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from BaseEmphasisMark.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from BaseEmphasisMark.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc